Skip to navigation

Create Tax Rates

Create one or more tax rates. Tax rates must be associated with a tax_zone_id.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
class_rateslist of objectsRequired
Tax rates for tax classes. You must assign at least one tax rate for each tax class defined on a store.
namestringRequired

The human-readable name for this tax zone. The name appears in the store control panel and may be visible to shoppers, depending on store tax settings.

tax_zone_idintegerRequired
ID of an associated tax zone. You must associate a tax rate with a tax zone.
enabledbooleanOptionalDefaults to true
Indicates whether a tax rate is enabled. Tax operations are only for enabled zones.
priorityintegerOptionalDefaults to 1
Allows for compounding tax rates, common in certain jurisdictions.

Response

OK
datalist of objectsOptional
metaobjectOptional
Response metadata.